// EvmHellXmitMessages.cpp : implementation file
//

#include "stdafx.h"
#include "evmhell.h"
#include "EvmHellXmitMessages.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




// CEvmHellXmitMessage property page

IMPLEMENT_DYNCREATE(CEvmHellXmitMessage, CPropertyPage)

CEvmHellXmitMessage::CEvmHellXmitMessage() : CPropertyPage(CEvmHellXmitMessage::IDD)
{
	//{{AFX_DATA_INIT(CEvmHellXmitMessage)
	messageText = _T("");
	//}}AFX_DATA_INIT
}

CEvmHellXmitMessage::~CEvmHellXmitMessage()
{
}

void CEvmHellXmitMessage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEvmHellXmitMessage)
	DDX_Text(pDX, IDC_EDIT1, messageText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEvmHellXmitMessage, CPropertyPage)
	//{{AFX_MSG_MAP(CEvmHellXmitMessage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEvmHellXmitMessage message handlers
/////////////////////////////////////////////////////////////////////////////




// CEvmHellXmitMessageSheet

IMPLEMENT_DYNAMIC(CEvmHellXmitMessageSheet, CPropertySheet)

CEvmHellXmitMessageSheet::CEvmHellXmitMessageSheet(UINT nIDCaption,
                                                   CWnd* pParentWnd,
                                                   int numPAges,
                                                   UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
  ASSERT(FALSE);
}


CEvmHellXmitMessageSheet::CEvmHellXmitMessageSheet(LPCTSTR pszCaption,
                                                   CWnd* pParentWnd,
                                                   int numPages,
                                                   UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{

  // Initialize the individual message pages

  ASSERT(numPages > 0);

  numMessages = numPages;
  messages = new CEvmHellXmitMessage[numMessages];
  //messageTexts = new CString[numMessages];

  // Thre must be enough consecutively-numbered strings in the string table...
  int stringId = IDS_XMIT_MESSAGE1;

  for (int j=0; j<numMessages; j++) {
    messages[j].Construct(IDD_XMIT_MESSAGE, stringId++);
    AddPage(&messages[j]);
  }

}


CEvmHellXmitMessageSheet::~CEvmHellXmitMessageSheet()
{
  delete[] messages;
  //delete[] messageTexts;
}


BEGIN_MESSAGE_MAP(CEvmHellXmitMessageSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CEvmHellXmitMessageSheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEvmHellXmitMessageSheet message handlers
/////////////////////////////////////////////////////////////////////////////

